<?php

/**
 * Strings for component 'auth_mykoob', language 'en'
 *
 * @package    auth_mykoob
 * @author     Ilmars Poikans <ilmars.poikans@gmail.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['auth_mykoobdescription'] = 'Plugin that enables Mykoob authentication in Moodle';
$string['pluginname'] = 'Mykoob authentication';

$string['config_api_server'] = 'Mykoob API server';
$string['config_api_server_description'] = '';
$string['config_client_id'] = 'Client ID';
$string['config_client_id_description'] = 'Client ID of application registered with Mykoob';
$string['config_client_secret'] = 'Client secret';
$string['config_client_secret_description'] = 'Client secret of application registered with Mykoob';
$string['config_callback_url'] = 'Callback URL';
$string['config_callback_url_description'] = 'Redirect URI of application registered with Mykoob. External URL for /auth/mykoob/callback.php';
$string['config_user_prefix'] = 'User prefix';
$string['config_user_prefix_description'] = 'User prefix for Mykoob users in Moodle';
$string['config_schools_allowed'] = 'Restrict to school IDs:';
$string['config_schools_allowed_description'] = 'Comma separated list of school Mykoob IDs, which are allowd to log in';
$string['config_field_locks'] = 'Lock user fields';
$string['config_field_locks_description'] = 'You can lock user data fields imported from Mykoob, so Mykoob users can not change them in Moodle directly';

$string['login_idp_name'] = 'Mykoob';

$string['error_apinotconfigured'] = 'Mykoob plugin not configured';
$string['error_nocallbackparams'] = 'Mykoob plugin callback called without any parameters';
$string['error_noauthcode'] = 'Missing code parameter';
$string['error_failedtogetaccesstoken'] = 'Failed to get access token';
$string['error_failedtogetuserinfo'] = 'Failed to get user info';
$string['error_failedtogetuserschoolinfo'] = 'Failed to get user school info';
$string['error_notfromallowedschool'] = 'You are not user of allowed schools on this server';


